Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451945 - Update 3w-xxxx to version 1.26.03.000-2.6.18RH
Summary: Update 3w-xxxx to version 1.26.03.000-2.6.18RH
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Tomas Henzl
QA Contact: Martin Jenner
URL:
Whiteboard:
: 422391 435029 (view as bug list)
Depends On:
Blocks: RHEL5u3_relnotes
TreeView+ depends on / blocked
 
Reported: 2008-06-18 09:54 UTC by Tomas Henzl
Modified: 2018-10-20 03:11 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
3w-xxxx: driver for 3ware SATA RAID Controllers updated to version 1.26.03. This applies several upstream changes, most notably: * Fixed a bug that caused data corruption when using a 3ware 7000 or 8000 series card in a system with greater than 2GB of RAM. * Anaconda no longer hangs on 64-bit architectures when using a 3ware 8006 series card in a system with greater than 4GB of RAM. * The irq handler is now freed when __tw_shutdown() is initiated. This prevents a possible null pointer de-reference if an interrupt was shared during shutdown. * RCD bit for caching mode page is now turned on. * ioctl resets and scsi resets are now serialized so they no longer collide.
Clone Of:
Environment:
Last Closed: 2009-01-20 20:26:21 UTC


Attachments (Terms of Use)
Update 3w-xxxx to version 1.26.03.000-2.6.18RH (deleted)
2008-06-18 09:54 UTC, Tomas Henzl
no flags Details | Diff
final version (deleted)
2008-08-22 16:38 UTC, Tomas Henzl
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Tomas Henzl 2008-06-18 09:54:54 UTC
Changes in this release:

- Fix bugzilla #435029: Data corruption with the 3w-xxxx driver on a
3ware 7000 or 8000 series card and > 2GB of RAM.

- Fix bugzilla #422391: Anaconda installer hangs while trying to
install Red Hat 5 Server 64bit on systems using a 3WARE SATA RAID
Controller 8006 series (3w_xxxx driver) and 4GB of more of RAM

- Free irq handler in __tw_shutdown().
  (This could have caused null pointer dereference if an interrupt was
shared during shutdown)

- Turn on RCD bit for caching mode page.
  (Correctly advertise as not supporting read caching from cachine mode page)

- Serialize reset code
  (Correctly serialize ioctl resets and scsi resets so they don't collide)

- Use default DMA data direction to prevent data corruption when using
SWIOTLB with 4GB+ on EM64T.
  (This fixes above 2 bugzilla entries:  #435029, #422391)

-Adam

Comment 1 Tomas Henzl 2008-06-18 09:54:54 UTC
Created attachment 309713 [details]
Update 3w-xxxx to version 1.26.03.000-2.6.18RH

Comment 2 Tomas Henzl 2008-06-18 10:07:47 UTC
*** Bug 422391 has been marked as a duplicate of this bug. ***

Comment 3 RHEL Product and Program Management 2008-06-18 10:12:19 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Tomas Henzl 2008-06-18 10:13:59 UTC
*** Bug 435029 has been marked as a duplicate of this bug. ***

Comment 8 Don Domingo 2008-07-11 03:28:21 UTC
this bug is now being tracked for RHEL5.3 release notes. FYI

Comment 10 Ryan Lerch 2008-08-14 00:45:21 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
3w-xxxx driver for 3ware SATA RAID Controllers has been updated to version 1.26.03. This applies several upstream changes, most notably: 

* Fixed a bug that caused data corruption when using a 3ware 7000 or 8000 series card in a system with greater than 2GB of RAM.

* Anaconda no longer hangs on 64-bit architectures when using a 3ware 8006 series card in a system with greater than 4GB of RAM.

* Free irq handler in __tw_shutdown(). This prevents a possible null pointer dereference if an interrupt was shared during shutdown.

* RCD bit for caching mode page is now turned on.

* ioctl resets and scsi resets have be serialized so they no longer collide.

Comment 11 Ryan Lerch 2008-08-14 00:46:54 UTC
added contents of the release_note field to 5.3 Release Notes source.

This note is located in the "Driver Updates" section, under the "Storage" subsection.

Comment 12 Don Domingo 2008-08-15 06:17:37 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,11 +1,11 @@
-3w-xxxx driver for 3ware SATA RAID Controllers has been updated to version 1.26.03. This applies several upstream changes, most notably: 
+3w-xxxx: driver for 3ware SATA RAID Controllers updated to version 1.26.03. This applies several upstream changes, most notably: 
 
 * Fixed a bug that caused data corruption when using a 3ware 7000 or 8000 series card in a system with greater than 2GB of RAM.
 
 * Anaconda no longer hangs on 64-bit architectures when using a 3ware 8006 series card in a system with greater than 4GB of RAM.
 
-* Free irq handler in __tw_shutdown(). This prevents a possible null pointer dereference if an interrupt was shared during shutdown.
+* The irq handler is now freed when __tw_shutdown() is initiated. This prevents a possible null pointer de-reference if an interrupt was shared during shutdown.
 
 * RCD bit for caching mode page is now turned on.
 
-* ioctl resets and scsi resets have be serialized so they no longer collide.+* ioctl resets and scsi resets are now serialized so they no longer collide.

Comment 13 Tomas Henzl 2008-08-22 16:38:49 UTC
Created attachment 314818 [details]
final version

This version was posted today on internal list.

Comment 14 Don Zickus 2008-09-11 19:43:21 UTC
in kernel-2.6.18-111.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 18 Chris Ward 2008-11-28 07:01:56 UTC
~~ Attention ~~ We Need Testing Feedback Soon ~~

We're nearing the end of the Red Hat Enterprise Linux 5.3 Testing Phase and this bug has not yet been VERIFIED. This bug should be fixed in the latest RHEL53 Beta Snapshot. It is critical that we receive your feedback ASAP. Otherwise, this bug is at risk of being dropped from the release. 

If you encounter any new issues, CLONE this bug and describe the new issues you are facing. We are no longer excepting NEW bugs into the release, bar critical regressions and blocker issues.

If you have VERIFIED this fix, add CustomerVerified to the Bugzilla Keywords, along with a description of the test results.

Comment 22 errata-xmlrpc 2009-01-20 20:26:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.